package com.sw.mes.yb.alloy.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.alloy.dto.FixLogicDto;
import com.sw.mes.yb.alloy.entity.FixLogic;

import java.math.BigDecimal;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FixLogicService extends BaseService<FixLogic> {
    List<FixLogic> findAllByFixLogic(FixLogic fixLogic);

    /**
     * 更新修正逻辑
     * @param dto 请求参数
     */
    void update(FixLogicDto dto);

    FixLogic findByFixUpperLimit(BigDecimal tResistivity);

    FixLogic findByHeatFieldAndMaterialShortNameAndAddTime(String heatField, String productName, Integer againNum);
}
